Support

Frequently Asked Questions

Is Aki compatible with OS X 10.5 - Leopard?

Last Updated Sep 9, 2005

The latest version of Aki, 1.2, is fully compatible with OS X 10.5 - Leopard. It is also a Universal Binary, so it will run fine on either the Intel Macs or the PowerPC Macs.

Related question(s):

Was This Answer Helpful?

Not The Right Answer?

Copyright © 2013 Ambrosia Software, Inc. | All rights reserved worldwide. | Privacy Policy | Site Map | My Ambrosia Account